using Earthblend.Nts.Common;
using System;
using System.Windows.Media.Media3D;
using System.Xml.Serialization;

public class MatchResult : CustomBindableBase
{
    public MatchResult()
    {

    }

    #region Private Variables

    private Double _w = 0;
    private Double _h = 0;
    private Double _d = 0;
    private Double _z = 0;
    private Double _cuft = 0;
    private Model3DGroup _model = new Model3DGroup();

    #endregion

    #region Public Clr Properties

    public Double W { get { return _w; } set { SetProperty(ref _w, value); } }
    public Double H { get { return _h; } set { SetProperty(ref _h, value); } }
    public Double D { get { return _d; } set { SetProperty(ref _d, value); } }
    public Double Z { get { return _z; } set { SetProperty(ref _z, value); } }
    public Double CuFt { get { return _cuft; } set { SetProperty(ref _cuft, value); } }
    [XmlIgnore] public Model3DGroup Model { get { return _model; } set { SetProperty(ref _model, value); } }

    #endregion

    #region Public Methods




    #endregion

}